# List hold limit breaches

Returns a list of hold limit breaches for a profile. A hold limit breach occurs when a balance exceeds the regulatory hold limit for that profile's country (e.g. Singapore, Malaysia).
You can optionally filter by `state` and `closing_reason`.

Endpoint: GET /v1/profiles/{profileId}/balances/hold-limit-breach
Security: UserToken, PersonalToken

## Path parameters:

  - `profileId` (integer, required)
    The profile ID.

## Query parameters:

  - `state` (string)
    Filter by breach state. One of `OPEN`, `CLOSED`

  - `closingReason` (string)
    Filter by closing reason. One of `AUTOMATICALLY_RESOLVED`, `MANUALLY_RESOLVED`

## Header parameters:

  - `X-External-Correlation-Id` (string)
    Optional UUID for correlating requests across systems. If provided, Wise echoes it back in the response. Maximum 36 characters. [Learn more](/guides/developer/headers/correlation-id).

## Response 200 fields (application/json):

  - `id` (integer)
    Hold limit breach ID.
    Example: 200001

  - `profileId` (integer)
    ID of the profile that owns the hold limit breach
    Example: 123456

  - `amount` (number)
    Amount value.
    Example: 310.86

  - `currency` (string)
    Currency code (ISO 4217 Alphabetic Code).
    Example: EUR

  - `state` (string)
    Current state of the hold limit breach.
    Enum: "OPEN", "CLOSED"

  - `closingReason` (string)
    Reason the breach was closed, null if state is `OPEN`.
    Enum: "AUTOMATICALLY_RESOLVED", "MANUALLY_RESOLVED"

  - `createdAt` (string)
    Date when the hold limit breach was created.
    Example: 2020-05-20T14:43:16.658Z

  - `updatedAt` (string)
    Date when the hold limit breach was last modified.
    Example: 2020-05-20T14:43:16.658Z

## Response 400 fields (application/json):

  - `type` (string)
    Must be /errors/types/validation for this error type

  - `title` (string)
    Request parameter type mismatch

  - `status` (string)
    Bad request error

  - `instance` (string)
    The uri that triggered the error

  - `errors` (array)
    A list of specific validation failures.

  - `errors.detail` (string)
    A detailed description of the validation failure.

  - `errors.code` (string)
    A specific code for the validation failure type.

  - `errors.ref` (string)
    A reference to the field that failed validation.

## Response 403 fields (application/json):

  - `type` (string)
    Must be /errors/types/access for this error type

  - `title` (string)
    Forbidden

  - `status` (string)
    Forbidden error

  - `instance` (string)
    The uri that triggered the error

  - `detail` (string)
    Detail of the error
    Example: Unauthorized

  - `code` (string)
    Error code of the request
    Example: forbidden

